Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class Node

    java.lang.Object
      groovy.util.slurpersupport.Node

All Implemented Interfaces:
  Writable

    public class Node
    extends java.lang.Object

Represents a node.

Authors:
  John Wilson

Constructor Summary
`Node(Node parent, java.lang.String name, java.util.Map attributes, java.util.Map attributeNamespaces, java.lang.String namespaceURI)` @param parent the parent node

Method Summary
`void` | `addChild(java.lang.Object child)`
`protected void` | `appendNode(java.lang.Object newValue, GPathResult result)`
`java.util.Map` | `attributes()`
`void` | `build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map namespaceTagHints)`
`java.util.Iterator` | `childNodes()`
`java.util.List` | `children()`
`java.lang.String` | `name()`
`java.lang.String` | `namespaceURI()`
`protected void` | `replaceBody(java.lang.Object newValue)`
`void` | `replaceNode(Closure replacementClosure, GPathResult result)`
`java.lang.String` | `text()`
`java.io.Writer` | `writeTo(java.io.Writer out)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### Node

    public Node(Node parent, java.lang.String name, java.util.Map attributes, java.util.Map attributeNamespaces, java.lang.String namespaceURI)

  Parameters:
    `parent` - the parent node
    `name` - the name for the node
    `attributes` - the attributes for the node
    `attributeNamespaces` - the namespace mappings for attributes
    `namespaceURI` - the namespace URI if any

Method Detail

### addChild

    public void addChild(java.lang.Object child)

### appendNode

    protected void appendNode(java.lang.Object newValue, GPathResult result)

### attributes

    public java.util.Map attributes()

### build

    public void build(GroovyObject builder, java.util.Map namespaceMap, java.util.Map namespaceTagHints)

### childNodes

    public java.util.Iterator childNodes()

### children

    public java.util.List children()

### name

    public java.lang.String name()

### namespaceURI

    public java.lang.String namespaceURI()

### replaceBody

    protected void replaceBody(java.lang.Object newValue)

### replaceNode

    public void replaceNode(Closure replacementClosure, GPathResult result)

### text

    public java.lang.String text()

### writeTo

    public java.io.Writer writeTo(java.io.Writer out)

Groovy Documentation